Bug 1278022 - [abrt] gnome-shell: magazine_chain_pop_head(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: magazine_chain_pop_head(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:10767b98fd716440110969e18b1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-04 15:00 UTC by Kamil Páral
Modified: 2016-12-20 15:22 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:22:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (63.79 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: core_backtrace (8.13 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: dso_list (25.61 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: environ (1.93 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: maps (156.52 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: mountinfo (3.91 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: open_fds (4.21 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details
File: proc_pid_status (1.00 KB, text/plain)
2015-11-04 15:00 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2015-11-04 15:00:11 UTC
Description of problem:
I docked the laptop.

Version-Release number of selected component:
gnome-shell-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
global_pid:     2039
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:535
 #1 thread_memory_magazine1_alloc at gslice.c:842
 #2 g_slice_alloc at gslice.c:998
 #3 g_list_insert_before at glist.c:394
 #4 find_source_list_for_priority at gmain.c:1000
 #5 source_add_to_context at gmain.c:1034
 #6 g_source_attach_unlocked at gmain.c:1115
 #7 g_source_attach at gmain.c:1173
 #8 g_idle_add_full at gmain.c:5508
 #9 meta_later_add at core/util.c:904

Potential duplicate: bug 758808

Comment 1 Kamil Páral 2015-11-04 15:00:16 UTC
Created attachment 1089715 [details]
File: backtrace

Comment 2 Kamil Páral 2015-11-04 15:00:18 UTC
Created attachment 1089716 [details]
File: cgroup

Comment 3 Kamil Páral 2015-11-04 15:00:20 UTC
Created attachment 1089717 [details]
File: core_backtrace

Comment 4 Kamil Páral 2015-11-04 15:00:22 UTC
Created attachment 1089718 [details]
File: dso_list

Comment 5 Kamil Páral 2015-11-04 15:00:24 UTC
Created attachment 1089719 [details]
File: environ

Comment 6 Kamil Páral 2015-11-04 15:00:26 UTC
Created attachment 1089720 [details]
File: exploitable

Comment 7 Kamil Páral 2015-11-04 15:00:27 UTC
Created attachment 1089721 [details]
File: limits

Comment 8 Kamil Páral 2015-11-04 15:00:30 UTC
Created attachment 1089722 [details]
File: maps

Comment 9 Kamil Páral 2015-11-04 15:00:32 UTC
Created attachment 1089723 [details]
File: mountinfo

Comment 10 Kamil Páral 2015-11-04 15:00:33 UTC
Created attachment 1089724 [details]
File: namespaces

Comment 11 Kamil Páral 2015-11-04 15:00:35 UTC
Created attachment 1089725 [details]
File: open_fds

Comment 12 Kamil Páral 2015-11-04 15:00:37 UTC
Created attachment 1089726 [details]
File: proc_pid_status

Comment 13 Gustavo Maciel Dias Vieira 2015-11-12 16:35:03 UTC
Another user experienced a similar problem:

Waking the machine after suspend with a external monitor plugged in (it wasn't plugged when the machine was suspended).

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 10e8566dc9cb6f4576136845732742676800000014320000
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
global_pid:     2188
kernel:         4.2.5-300.fc23.x86_64
package:        gnome-shell-3.18.1-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 14 khiemu 2015-11-13 10:28:09 UTC
Another user experienced a similar problem:

computer got locked after unused for a while, got thrown out right away after re-login, login again: the session before the computer get locked is gone.

Fedora 23. upgraded with fedup from F22

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
global_pid:     2405
kernel:         4.2.5-300.fc23.x86_64
package:        gnome-shell-3.18.1-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Robert Hancock 2015-11-18 05:24:31 UTC
Another user experienced a similar problem:

Happened when TV connected via HDMI was turned off

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
global_pid:     7147
kernel:         4.2.6-300.fc23.x86_64
package:        gnome-shell-3.18.2-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Kamil Páral 2015-12-03 09:49:56 UTC
Another user experienced a similar problem:

I docked my laptop, my session logged out immediately.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
global_pid:     1989
kernel:         4.2.6-301.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 xzj8b3 2015-12-25 21:49:17 UTC
Another user experienced a similar problem:

various problems with nautilus and all opening and closing of various applications

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-shell
global_pid:     2428
kernel:         4.2.7-300.fc23.x86_64
package:        gnome-shell-3.18.3-1.fc23
reason:         gnome-shell killed by SIGSEGV
runlevel:       N 5
txt:            txt
type:           CCpp
uid:            1000

Comment 18 rh 2016-01-13 20:17:16 UTC
Now my Gnome Shell crashes every day after logging in.

Comment 19 Fedora End Of Life 2016-11-24 13:04:40 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2016-12-20 15:22:23 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.